PCI_UNREGISTER_DRI(9)

NAME
pci_unregister_driver - unregister a pci driver

SYNOPSIS

void pci_unregister_driver (struct pci_driver * drv);

ARGUMENTS

drv the driver structure to unregister

DESCRIPTION

Deletes the driver structure from the list of registered PCI drivers, gives it a chance to clean up by calling its remove function for each device it was responsible for, and marks those devices as driverless.